%global momorel 2

Summary: 	Print dialog and printer manager for XFce 4
Name: 		xfprint
Version: 	4.4.2
Release:	%{momorel}m%{?dist}
License:	BSD
URL: 		http://www.xfce.org/
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
NoSource:       0
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: libxfcegui4 >= %{version}
Requires: a2ps
Requires: gnome-icon-theme
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	a2ps
BuildRequires:	cups-devel
BuildRequires:	gnutls-devel
BuildRequires:	gettext
BuildRequires:	glib-devel >= 2.4.0
BuildRequires:	gtk+-devel >= 2.4.0
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig

%description
xfprint contains a print dialog and a printer manager for the
Xfce 4 Desktop Environment

%package devel
Summary: Development tools for the Xfce xfprint manager
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files for the Xfce xfprint library.

%prep
%setup -q 

%build
%configure
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/*.a
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/*.la
rm -f %{buildroot}%{_libdir}/xfce4/xfprint-plugins/*.a
rm -f %{buildroot}%{_libdir}/xfce4/xfprint-plugins/*.la
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
#touch --no-create %{_datadir}/icons/hicolor || :
#%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
#touch --no-create %{_datadir}/icons/hicolor || :
#%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_datadir}/icons/*/*/*/*
%exclude %{_datadir}/icons/hicolor/*/devices/printer.png
%exclude %{_datadir}/icons/hicolor/scalable/devices/printer.svg
%{_datadir}/xfce4/doc/*/images/*
%{_datadir}/xfce4/doc/*/xfprint.html
%{_datadir}/applications/*
%{_datadir}/gtk-doc/html/libxfprint/
%{_libdir}/*.so.*
%{_libdir}/xfce4/mcs-plugins/*
%{_libdir}/xfce4/xfprint-plugins/*

%files devel
%defattr(-, root, root)
%{_includedir}/xfce4/libxfprint
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.2-2m)
- rebuild against gcc43

* Mon Dec  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.2-1m)
- Xfce 4.4.2

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.1-1m)
- Xfce 4.4.1

* Wed Jan 31 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-2m)
- exclude %%{_datadir}/icons/hicolor/*/devices/printer.png
  and %%{_datadir}/icons/hicolor/scalable/devices/printer.svg
  use gnome-icon-theme
- add Requires: gnome-icon-theme

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-1m)
- Xfce 4.4.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.2.3-3m)
- rebuild against expat-2.0.0-1m

* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-2m)
- delete duplicated dir

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3-1m)
- Xfce 4.2.3.2

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- version update to 4.0.5.

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8
- rebuild against for glib-2.4.0

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- version up to 4.0.2

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
